Platform Management API
POST /services/platforms/v1/project-modules/save Auth

Request Body

FieldTypeRequiredDescriptionExample
modules array|null No
booking_type string|null
appointment, class, table, stay, rental, event,
No
booking_hours string|null
weekdays, everyday, evenings,
No
qr_menu object No

Responses

200
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/platforms/v1/project-modules/save" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "modules": "string",
    "booking_type": "string",
    "booking_hours": "string",
    "qr_menu": "string"
}'
fetch('https://api.wemasy.nl/api/services/platforms/v1/project-modules/save', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "modules": "string",
    "booking_type": "string",
    "booking_hours": "string",
    "qr_menu": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/platforms/v1/project-modules/save', {
    "modules": "string",
    "booking_type": "string",
    "booking_hours": "string",
    "qr_menu": "string"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "modules": "string",
    "booking_type": "string",
    "booking_hours": "string",
    "qr_menu": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/platforms/v1/project-modules/save", headers=headers, json=data)
print(r.json())

Try It
Request Body Optional

Export